* Version 2.0
# DEFINE theLanguage "ro-RO"
LPARAMETERS cCur,lcFileName,llHead,lcFFields
* Parameters
* cCur				name of the table / cursor
* lcFileName		name of the docx
* llHead			.T. first row of docx contain column names
* lcFFields			optional, list of fields to be outputed
DECLARE INTEGER ShellExecute IN SHELL32.DLL INTEGER nWinHandle,STRING cOperation,STRING cFileName,STRING cParameters,STRING cDirectory,INTEGER nShowWindow
DECLARE Sleep IN kernel32 INTEGER

LOCAL lcMyPath,lcDir,loerr as Exception
LOCAL lnRowsNo,lnColsNo,laFields[1,5],lnCurRow,lnCurCol,lnTime,ltTime,lcSetDec,lnColsNoAll,laFieldsAll[1],lnII,lSetTalk,lnFFields,laFFields[1]
LOCAL lcValue,lcType,lnDec,cMax,ldValue
LOCAL lcCurr,llLeftCurr,llBelow7
LOCAL lnFHSh,lcLenStr,lcLenIdx,lnCountbefore,lcField,lcCurRow,ofile,lcSource,lcZipFileName,oShell,oFolder,lcColWidth

LOCAL lcCurrAlias,llToClose
lcCurrAlias = ALIAS()
llToClose = .F.

IF PCOUNT() < 1 
	MESSAGEBOX("Nothing to export",48,"No docx generated")
	RETURN
ELSE
	IF VARTYPE(m.cCur) $ "CV"
		IF !USED(m.cCur)
			USE (m.cCur) IN 0
			llToClose = .T.
		ENDIF
	ELSE
		MESSAGEBOX("Not a cursor/table name",48,"No docx generated")
		RETURN
	ENDIF
ENDIF
IF PCOUNT() < 2 
	lcFileName = FORCEEXT(SYS(2015),"docx")
ELSE
	IF VARTYPE(m.lcFileName) $ "CV"
		lcFileName = FORCEEXT(m.lcFileName,"docx")
	ELSE
		lcFileName = FORCEEXT(SYS(2015),"docx")
	ENDIF
ENDIF
IF PCOUNT() < 3
	llHead = .F.
ELSE
	IF VARTYPE(m.llHead) <> "L"
		llHead = .F.
	ENDIF
ENDIF

IF FILE(FORCEEXT(m.lcFileName,"docx"))
	IF MESSAGEBOX(FORCEEXT(m.lcFileName,"docx")+" already exist."+CHR(13)+"Overwrite?",4+48) = 7
		RETURN
	ELSE
		ERASE (FORCEEXT(m.lcFileName,"docx")) RECYCLE
	ENDIF
ENDIF
IF PCOUNT()<4
	lcFFields = ""
ELSE
	IF VARTYPE(m.lcFFields) <> "C"
		lcFFields = ""
	ELSE
		lnFFields = ALINES(laFFields,m.lcFFields,1+4,",")
	ENDIF
ENDIF

lSetTalk = SET("Talk")
SET TALK OFF 
lnColsNoAll=AFIELDS(m.laFieldsAll,m.cCur)
lnColsNo = 0

FOR lnCurCol = 1 TO m.lnColsNoAll
	IF m.laFieldsAll[m.lnCurCol,2] $ "NFYBIDTLCVM"
		IF !EMPTY(m.lcFFields)
			IF ASCAN(m.laFFields,laFieldsAll[m.lnCurCol,1],1,-1,-1,1+2+4)=0
				LOOP
			ENDIF
		ENDIF
		lnColsNo = m.lnColsNo + 1
		DIMENSION laFields[m.lnColsNo,5]
		laFields[m.lnColsNo,1] = laFieldsAll[m.lnCurCol,1]
		laFields[m.lnColsNo,2] = laFieldsAll[m.lnCurCol,2]
		laFields[m.lnColsNo,3] = laFieldsAll[m.lnCurCol,3]
		laFields[m.lnColsNo,4] = laFieldsAll[m.lnCurCol,4]
		laFields[m.lnColsNo,5] = IIF(m.lnColsNo<=26,[],CHR(64+FLOOR((m.lnColsNo-1)/26)))+CHR(65+MOD(m.lnColsNo-1,26))
	ELSE
		LOOP
	ENDIF
NEXT

SELECT (m.cCur)
COUNT TO m.lnRowsNo
lnRowsNo=m.lnRowsNo+IIF(m.llHead,1,0)


lcCurr = CHRTRAN(ALLTRIM(TRANSFORM(0,"@$")),"0"+IIF(SET("Decimals")>0,SET("Point")+REPLICATE("0",SET("Decimals")),""),"")
llLeftCurr = SET("Currency")=="LEFT"

lcMyPath=''
IF !EMPTY(JUSTPATH(m.lcFileName))
	lcMyPath=ADDBS(JUSTPATH(m.lcFileName)) 
	SET DEFAULT TO (m.lcMyPath)
ELSE
	lcMyPath = ADDBS(JUSTPATH(FULLPATH(m.lcFileName)))
ENDIF

lcDir=gen_dirs()
gen_Content_Types(m.lcDir)
gen_rels(ADDBS(m.lcDir+[_rels]))
gen_app(ADDBS(m.lcDir+[docProps]))
gen_core(ADDBS(m.lcDir+[docProps]))
gen_websettings(ADDBS(m.lcDir+[word]))
gen_stylesWithEffects(ADDBS(m.lcDir+[word]))
gen_styles(ADDBS(m.lcDir+[word]))
gen_settings(ADDBS(m.lcDir+[word]))
gen_fontTable(ADDBS(m.lcDir+[word]))
gen_word(ADDBS(ADDBS(m.lcDir+[word])+[_rels]))

* Begin document
lnFHSh = FCREATE(ADDBS(m.lcDir+[word])+"document.xml")
IF m.lnFHSh < 0
	MESSAGEBOX('Cannot create document.xml',16,'Abort')
	DO cleanup WITH m.lcDir,m.llToClose,m.cCur,m.lcCurrAlias,m.lnFHSh
	RETURN
ENDIF
FWRITE(m.lnFHSh,[<?xml version="1.0" encoding="UTF-8" standalone="yes"?>]+CHR(10))
		FWRITE(m.lnFHSh,[<w:document mc:Ignorable="w14 wp14" xmlns:wps="http://schemas.microsoft.com/office/word/2010/wordprocessingShape" xmlns:wne="http://schemas.microsoft.com/office/word/2006/wordml" ])
		FWRITE(m.lnFHSh,[xmlns:wpi="http://schemas.microsoft.com/office/word/2010/wordprocessingInk" xmlns:wpg="http://schemas.microsoft.com/office/word/2010/wordprocessingGroup" ])
		FWRITE(m.lnFHSh,[xmlns:w14="http://schemas.microsoft.com/office/word/2010/wordml" xmlns:w="http://schemas.openxmlformats.org/wordprocessingml/2006/main" xmlns:w10="urn:schemas-microsoft-com:office:word" ])
		FWRITE(m.lnFHSh,[xmlns:wp="http://schemas.openxmlformats.org/drawingml/2006/wordprocessingDrawing" xmlns:wp14="http://schemas.microsoft.com/office/word/2010/wordprocessingDrawing" ])
		FWRITE(m.lnFHSh,[xmlns:v="urn:schemas-microsoft-com:vml" xmlns:m="http://schemas.openxmlformats.org/officeDocument/2006/math" xmlns:r="http://schemas.openxmlformats.org/officeDocument/2006/relationships" ])
		FWRITE(m.lnFHSh,[xmlns:o="urn:schemas-microsoft-com:office:office" xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" xmlns:wpc="http://schemas.microsoft.com/office/word/2010/wordprocessingCanvas">])
FWRITE(m.lnFHSh,[<w:body>])
FWRITE(m.lnFHSh,[<w:tbl>])
	FWRITE(m.lnFHSh,[<w:tblPr>])
		FWRITE(m.lnFHSh,[<w:tblStyle w:val="TableGrid"/>])
		FWRITE(m.lnFHSh,[<w:tblW w:w="0" w:type="auto"/>])
		FWRITE(m.lnFHSh,[<w:tblLook w:val="04A0" w:noVBand="1" w:noHBand="0" w:lastColumn="0" w:firstColumn="1" w:lastRow="0" w:firstRow="1"/>])
	FWRITE(m.lnFHSh,[</w:tblPr>])
	
	lcColWidth = TRANSFORM(FLOOR(9288 / m.lnColsNo))
	
	FWRITE(m.lnFHSh,[<w:tblGrid>])
		FWRITE(m.lnFHSh,[<w:gridCol w:w="] + m.lcColWidth + ["/>])
		FWRITE(m.lnFHSh,[<w:gridCol w:w="] + m.lcColWidth + ["/>])
		FWRITE(m.lnFHSh,[<w:gridCol w:w="] + m.lcColWidth + ["/>])
	FWRITE(m.lnFHSh,[</w:tblGrid>])

IF m.llHead
	FWRITE(m.lnFHSh,[<w:tr w:rsidTr="00D9707B" w:rsidR="00D9707B">])
	FOR lnCurCol = 1 TO m.lnColsNo
		FWRITE(m.lnFHSh,[<w:tc>])
		FWRITE(m.lnFHSh,[<w:tcPr>])
		FWRITE(m.lnFHSh,[<w:tcW w:w="] + m.lcColWidth + [" w:type="dxa"/>])
		FWRITE(m.lnFHSh,[</w:tcPr>])
		FWRITE(m.lnFHSh,[<w:p w:rsidR="00D9707B" w:rsidRDefault="00D9707B">])
		FWRITE(m.lnFHSh,[<w:r>])
		FWRITE(m.lnFHSh,[<w:t>] + m.laFields[m.lnCurCol,1] + [</w:t>])
		FWRITE(m.lnFHSh,[</w:r>])
		FWRITE(m.lnFHSh,[</w:p>])
		FWRITE(m.lnFHSh,[</w:tc>])
	NEXT
	FWRITE(m.lnFHSh,[</w:tr>])
ENDIF

lcSetDec = SET("Decimals")
SET DECIMALS TO 13
SELECT (m.cCur)
SCAN 
	FWRITE(m.lnFHSh,[<w:tr w:rsidTr="00D9707B" w:rsidR="00D9707B">])
	FOR lnCurCol = 1 TO m.lnColsNo
		lcValue = EVALUATE(m.laFields[m.lnCurCol,1])
		lcType = m.laFields[m.lnCurCol,2]
		lnDec = m.laFields[m.lnCurCol,4]
		IF ISNULL(m.lcValue)
			lcValue = ''
			lcType = 'C'
		ENDIF
		DO CASE
		CASE m.lcType $ "CV" && character
			lcValue = htmspec(RTRIM(m.lcValue))
		CASE m.lcType == "I" && integer
			lcValue = LTRIM(STR(m.lcValue))
		CASE m.lcType $ "NF" && number, float
			lcValue = LTRIM(STR(m.lcValue,m.laFields[m.lnCurCol,3],m.lnDec))
		CASE m.lcType == "D" && date
				lcValue = DTOC(m.lcValue)
		CASE m.lcType == "T" && time
			lcValue = TTOC(m.lcValue)
		CASE m.lcType == "L" && boolean
			lcValue = IIF(m.lcValue ,'True','False')
		CASE m.lcType == "Y" && currency
			IF m.llLeftCurr
				lcValue = m.lcCurr + LTRIM(STR(m.lcValue,21,4))
			ELSE
				lcValue = LTRIM(STR(m.lcValue,21,4)) + ' ' + m.lcCurr
			ENDIF
		CASE m.lcType == "B" && double
			lcValue = LTRIM(STR(m.lcValue,21,m.lnDec))
		CASE m.lcType == "M" && memo
			lcValue = htmspec(RTRIM(m.lcValue))
		ENDCASE
		FWRITE(m.lnFHSh,[<w:tc>])
		FWRITE(m.lnFHSh,[<w:tcPr>])
		FWRITE(m.lnFHSh,[<w:tcW w:w="] + m.lcColWidth + [" w:type="dxa"/>])
		FWRITE(m.lnFHSh,[</w:tcPr>])
		FWRITE(m.lnFHSh,[<w:p w:rsidR="00D9707B" w:rsidRDefault="00D9707B">])
		FWRITE(m.lnFHSh,[<w:r>])
		FWRITE(m.lnFHSh,[<w:t>] + m.lcValue + [</w:t>])
		FWRITE(m.lnFHSh,[</w:r>])
		FWRITE(m.lnFHSh,[</w:p>])
		FWRITE(m.lnFHSh,[</w:tc>])
	NEXT
	FWRITE(m.lnFHSh,[</w:tr>])
ENDSCAN

SET DECIMALS TO &lcSetDec 

* End document

FWRITE(m.lnFHSh,[</w:tbl>])
FWRITE(m.lnFHSh,[<w:p w:rsidR="00EA66E0" w:rsidRDefault="00EA66E0"/>])
FWRITE(m.lnFHSh,[<w:sectPr w:rsidR="00EA66E0">])
	FWRITE(m.lnFHSh,[<w:pgSz w:w="11906" w:h="16838"/>])
	FWRITE(m.lnFHSh,[<w:pgMar w:gutter="0" w:footer="708" w:header="708" w:left="1417" w:bottom="1417" w:right="1417" w:top="1417"/>])
	FWRITE(m.lnFHSh,[<w:cols w:space="708"/>])
	FWRITE(m.lnFHSh,[<w:docGrid w:linePitch="360"/>])
FWRITE(m.lnFHSh,[</w:sectPr>])
FWRITE(m.lnFHSh,[</w:body>])
FWRITE(m.lnFHSh,[</w:document>])
FCLOSE(m.lnFHSh)

*****

lcSource = m.lcMyPath + m.lcDir &&"<< fully qualified path name to some folder >>"
lcZipFileName = m.lcMyPath + FORCEEXT(JUSTFNAME(m.lcFileName),'zip') &&"<< fully qualified path name to some zip file >>"

TRY
	IF FILE(m.lcZipFileName)
		ERASE (m.lcZipFileName)
	ENDIF
CATCH TO m.loerr
ENDTRY

TRY
	IF FILE(m.lcFileName)
		ERASE (m.lcFileName)
	ENDIF
CATCH TO m.loerr
ENDTRY

STRTOFILE(CHR( 80 )+CHR( 75 )+CHR( 5 )+CHR( 6 )+REPLICATE( CHR(0), 18 ), m.lcZipFileName)
oShell = CREATEOBJECT("shell.application")
oFolder = m.oShell.NameSpace( m.lcSource ).items

llBelow7 = OS(3)<'6' OR OS(3)='6' AND OS(4)<'1'
IF m.llBelow7 && Win XP
	TRY
		FOR EACH ofile IN m.oFolder
			lnCountbefore = m.oShell.NameSpace( m.lcSource ).items.count
			oShell.NameSpace( m.lcZipFileName ).movehere( m.ofile )
			sleep(100)
		ENDFOR
	CATCH TO loErr
	ENDTRY

	llErr = .T.
	DO WHILE llErr
		TRY
			llErr = .F.
			RENAME (m.lcZipFileName) TO (FORCEEXT(m.lcZipFileName,"docx"))
		CATCH
			llErr = .T.
			sleep(100)
		ENDTRY
	ENDDO
	DO cleanup WITH m.lcDir,m.llToClose,m.cCur,m.lcCurrAlias,m.lnFHSh
ELSE && WIN 7
	TRY
		FOR EACH ofile IN m.oFolder
			lnCountbefore = m.oShell.NameSpace( m.lcSource ).items.count
			oShell.NameSpace( m.lcZipFileName ).movehere( m.ofile )
			sleep(100)
			DO WHILE m.lnCountbefore = m.oShell.NameSpace( m.lcSource ).items.count
				sleep(100)
			ENDDO
		ENDFOR
	CATCH TO loErr
	ENDTRY

	TRY 
		RD (m.lcDir)
	CATCH TO m.loErr
	ENDTRY
	DO cleanup2 WITH m.llToClose,m.cCur,m.lcCurrAlias,m.lnFHSh
	
	RENAME (m.lcZipFileName) TO (FORCEEXT(m.lcZipFileName,"docx"))
ENDIF

ShellExecute(0,"Open",FORCEEXT(m.lcZipFileName,"docx"),"","",1)

SET TALK &lSetTalk

**********************
* Special characters *
**********************
FUNCTION htmspec
	LPARAMETERS cStr
	LOCAL lni,lcStrF,lcChar,lnChar,lcStrF2
	lcStrF = m.cStr
	IF AT(CHR(38),m.lcStrF)>0
		lcStrF = STRTRAN(m.lcStrF,CHR(38),'&amp;')
	ENDIF
	IF AT('>',m.lcStrF)>0
		lcStrF = STRTRAN(m.lcStrF,'>','&gt;')
	ENDIF
	IF AT('<',m.lcStrF)>0
		lcStrF = STRTRAN(m.lcStrF,'<','&lt;')
	ENDIF
	IF AT('"',m.lcStrF)>0
		lcStrF = STRTRAN(m.lcStrF,'"','&quot;')
	ENDIF
	IF AT("'",m.lcStrF)>0
		lcStrF = STRTRAN(m.lcStrF,"'",'&apos;')
	ENDIF

	lcStrF2 = ''
	FOR lni=1 TO LEN(m.lcStrF)
		lcChar = SUBSTR(m.lcStrF,m.lni,1)
		lnChar = ASC(m.lcChar)
		lcStrF2 = m.lcStrF2 + IIF(m.lnChar < 128 , m.lcChar , [&#]+STR(m.lnChar,3)+[;])
	NEXT
	RETURN m.lcStrF2
ENDFUNC

**********************
* For OS below Win 7 *
**********************
PROCEDURE cleanup
	LPARAMETERS lcDir,llToClose,cCur,lcCurrAlias,lnFHSh
	LOCAL lSetSafety
	lSetSafety = SET("Safety")
	SET SAFETY OFF
	DO cleanup2 WITH m.llToClose,m.cCur,m.lcCurrAlias,m.lnFHSh
	
	ERASE (ADDBS(ADDBS(m.lcDir+[word])+[_rels]) + "*.*")
	RD (ADDBS(ADDBS(m.lcDir+[word])+[_rels]))
	ERASE (ADDBS(m.lcDir+[word]) + "*.*")
	RD (ADDBS(m.lcDir+[word]))
	ERASE (ADDBS(m.lcDir+[docProps]) + "*.*")
	RD (ADDBS(m.lcDir+[docProps]))
	ERASE (ADDBS(m.lcDir+[_rels]) + "*.*")
	RD (ADDBS(m.lcDir+[_rels]))
	ERASE (m.lcDir + "*.*")
	RD (m.lcDir)
	SET SAFETY &lSetSafety
ENDPROC

PROCEDURE cleanup2
	LPARAMETERS llToClose,cCur,lcCurrAlias,lnFHSh
	IF m.llToClose
		USE IN (m.cCur)
	ENDIF
	IF !EMPTY(m.lcCurrAlias)
		SELECT (m.lcCurrAlias)
	ENDIF 
	IF VARTYPE(m.lnFHSh) == "N"
		FCLOSE(m.lnFHSh)
	ENDIF
ENDPROC

**********************
* Generate temp dirs *
**********************
FUNCTION gen_dirs
	LOCAL lcDir
	lcDir=ADDBS(SYS(2015))
	MD (m.lcDir)
	MD (ADDBS(m.lcDir+[_rels]))
	MD (ADDBS(m.lcDir+[docProps]))
	MD (ADDBS(m.lcDir+[word]))
	MD (ADDBS(ADDBS(m.lcDir+[word])+[_rels]))
RETURN m.lcDir

********************************
* Generate [Content_Types].xml *
********************************
PROCEDURE gen_Content_Types
	LPARAMETERS lcDir
	LOCAL lnF
	lnF = FCREATE(m.lcDir+"[Content_Types].xml")
	IF m.lnF < 0
		MESSAGEBOX('Cannot create [Content_Types].xml',16,'Abort')
		RETURN TO MASTER
	ENDIF
	FWRITE(m.lnF,[<?xml version="1.0" encoding="UTF-8" standalone="yes"?>])
	FWRITE(m.lnF,[<Types xmlns="http://schemas.openxmlformats.org/package/2006/content-types">])
	FWRITE(m.lnF,[<Default Extension="rels" ContentType="application/vnd.openxmlformats-package.relationships+xml"/>])
	FWRITE(m.lnF,[<Default Extension="xml" ContentType="application/xml"/>])
	FWRITE(m.lnF,[<Override ContentType="application/vnd.openxmlformats-officedocument.wordprocessingml.document.main+xml" PartName="/word/document.xml"/>])
	FWRITE(m.lnF,[<Override ContentType="application/vnd.openxmlformats-officedocument.wordprocessingml.styles+xml" PartName="/word/styles.xml"/>])
	FWRITE(m.lnF,[<Override ContentType="application/vnd.ms-word.stylesWithEffects+xml" PartName="/word/stylesWithEffects.xml"/>])
	FWRITE(m.lnF,[<Override ContentType="application/vnd.openxmlformats-officedocument.wordprocessingml.settings+xml" PartName="/word/settings.xml"/>])

	FWRITE(m.lnF,[<Override ContentType="application/vnd.openxmlformats-officedocument.wordprocessingml.webSettings+xml" PartName="/word/webSettings.xml"/>])
	FWRITE(m.lnF,[<Override ContentType="application/vnd.openxmlformats-officedocument.wordprocessingml.fontTable+xml" PartName="/word/fontTable.xml"/>])
	
	FWRITE(m.lnF,[<Override PartName="/docProps/core.xml" ContentType="application/vnd.openxmlformats-package.core-properties+xml"/>])
	FWRITE(m.lnF,[<Override PartName="/docProps/app.xml" ContentType="application/vnd.openxmlformats-officedocument.extended-properties+xml"/>]+CHR(10))
	FWRITE(m.lnF,[</Types>])
	FCLOSE(m.lnF)
ENDPROC

************************
* Generate _rels\.rels *
************************
PROCEDURE gen_rels
	LPARAMETERS lcDir
	LOCAL lnF
	lnF = FCREATE(m.lcDir+".rels")
	IF m.lnF < 0
		MESSAGEBOX('Cannot create .rels',16,'Abort')
		RETURN TO MASTER
	ENDIF
	FWRITE(m.lnF,[<?xml version="1.0" encoding="UTF-8" standalone="yes"?>]+CHR(10))
	FWRITE(m.lnF,[<Relationships xmlns="http://schemas.openxmlformats.org/package/2006/relationships">])
	FWRITE(m.lnF,[<Relationship Id="rId3" Type="http://schemas.openxmlformats.org/officeDocument/2006/relationships/extended-properties" Target="docProps/app.xml"/>])
	FWRITE(m.lnF,[<Relationship Id="rId2" Type="http://schemas.openxmlformats.org/package/2006/relationships/metadata/core-properties" Target="docProps/core.xml"/>])
	FWRITE(m.lnF,[<Relationship Id="rId1" Type="http://schemas.openxmlformats.org/officeDocument/2006/relationships/officeDocument" Target="word/document.xml"/>]+CHR(10))
	FWRITE(m.lnF,[</Relationships>])
	FCLOSE(m.lnF)
ENDPROC

*****************************
* Generate docProps\app.xml *
*****************************
PROCEDURE gen_app
	LPARAMETERS lcDir
	LOCAL lnF
	lnF = FCREATE(m.lcDir+"app.xml")
	IF m.lnF < 0
		MESSAGEBOX('Cannot create app.xml',16,'Abort')
		RETURN TO MASTER
	ENDIF
	FWRITE(m.lnF,[<?xml version="1.0" encoding="UTF-8" standalone="yes"?>]+CHR(10))
	FWRITE(m.lnF,[<Properties xmlns="http://schemas.openxmlformats.org/officeDocument/2006/extended-properties" xmlns:vt="http://schemas.openxmlformats.org/officeDocument/2006/docPropsVTypes">])
	FWRITE(m.lnF,[<Template>Normal.dotm</Template>])
	FWRITE(m.lnF,[<Application>copytodocx</Application>])
	FWRITE(m.lnF,[<AppVersion>2.000</AppVersion>])
	FWRITE(m.lnF,[</Properties>])
	FCLOSE(m.lnF)
ENDPROC

******************************
* Generate docProps\core.xml *
******************************
PROCEDURE gen_core
	LPARAMETERS lcDir
	LOCAL lnF
	lnF = FCREATE(m.lcDir+"core.xml")
	IF m.lnF < 0
		MESSAGEBOX('Cannot create core.xml',16,'Abort')
		RETURN TO MASTER
	ENDIF
	FWRITE(m.lnF,[<?xml version="1.0" encoding="UTF-8" standalone="yes"?>]+CHR(10))
	FWRITE(m.lnF,[<cp:coreProperties xmlns:cp="http://schemas.openxmlformats.org/package/2006/metadata/core-properties" xmlns:dc="http://purl.org/dc/elements/1.1/" ])
		FWRITE(m.lnF,[xmlns:dcterms="http://purl.org/dc/terms/" xmlns:dcmitype="http://purl.org/dc/dcmitype/" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">])
	FWRITE(m.lnF,[<dc:creator>Vilhelm-Ion Praisach</dc:creator>])
	FWRITE(m.lnF,[<dcterms:created xsi:type="dcterms:W3CDTF">]+TTOC(DATETIME(),3)+[</dcterms:created>])
	FWRITE(m.lnF,[</cp:coreProperties>])
	FCLOSE(m.lnF)
ENDPROC

*****************************************
* Generate word\_rels\document.xml.rels *
*****************************************
PROCEDURE gen_word
	LPARAMETERS lcDir
	LOCAL lnF
	lnF = FCREATE(m.lcDir+"document.xml.rels")
	IF m.lnF < 0
		MESSAGEBOX('Cannot create document.xml.rels',16,'Abort')
		RETURN TO MASTER
	ENDIF
	FWRITE(m.lnF,[<?xml version="1.0" encoding="UTF-8" standalone="yes"?>]+CHR(10))
	FWRITE(m.lnF,[<Relationships xmlns="http://schemas.openxmlformats.org/package/2006/relationships">])
		FWRITE(m.lnF,[<Relationship Target="settings.xml" Type="http://schemas.openxmlformats.org/officeDocument/2006/relationships/settings" Id="rId3"/>])
		FWRITE(m.lnF,[<Relationship Target="stylesWithEffects.xml" Type="http://schemas.microsoft.com/office/2007/relationships/stylesWithEffects" Id="rId2"/>])
		FWRITE(m.lnF,[<Relationship Target="styles.xml" Type="http://schemas.openxmlformats.org/officeDocument/2006/relationships/styles" Id="rId1"/>])
		FWRITE(m.lnF,[<Relationship Target="fontTable.xml" Type="http://schemas.openxmlformats.org/officeDocument/2006/relationships/fontTable" Id="rId5"/>])
		FWRITE(m.lnF,[<Relationship Target="webSettings.xml" Type="http://schemas.openxmlformats.org/officeDocument/2006/relationships/webSettings" Id="rId4"/>])
	FWRITE(m.lnF,[</Relationships>])
	FCLOSE(m.lnF)
ENDPROC

*********************************
* Generate word\webSettings.xml *
*********************************
PROCEDURE gen_websettings
	LPARAMETERS lcDir
	LOCAL lnF
	lnF = FCREATE(m.lcDir+"webSettings.xml")
	IF m.lnF < 0
		MESSAGEBOX('Cannot create webSettings.xml',16,'Abort')
		RETURN TO MASTER
	ENDIF
	FWRITE(m.lnF,[<?xml version="1.0" encoding="UTF-8" standalone="yes"?>]+CHR(10))
	FWRITE(m.lnF,[<w:webSettings mc:Ignorable="w14" xmlns:w14="http://schemas.microsoft.com/office/word/2010/wordml" xmlns:w="http://schemas.openxmlformats.org/wordprocessingml/2006/main" ])
		FWRITE(m.lnF,[xmlns:r="http://schemas.openxmlformats.org/officeDocument/2006/relationships" xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006">])
	FWRITE(m.lnF,[<w:optimizeForBrowser/>])
	FWRITE(m.lnF,[<w:allowPNG/>])
	FWRITE(m.lnF,[</w:webSettings>])
	FCLOSE(m.lnF)
ENDPROC

***************************************
* Generate word\stylesWithEffects.xml *
***************************************
PROCEDURE gen_stylesWithEffects
	LPARAMETERS lcDir
	LOCAL lnF
	lnF = FCREATE(m.lcDir+"stylesWithEffects.xml")
	IF m.lnF < 0
		MESSAGEBOX('Cannot create stylesWithEffects.xml',16,'Abort')
		RETURN TO MASTER
	ENDIF
	FWRITE(m.lnF,[<?xml version="1.0" encoding="UTF-8" standalone="yes"?>]+CHR(10))
	FWRITE(m.lnF,[<w:styles mc:Ignorable="w14 wp14" xmlns:wps="http://schemas.microsoft.com/office/word/2010/wordprocessingShape" xmlns:wne="http://schemas.microsoft.com/office/word/2006/wordml" ])
			FWRITE(m.lnF,[xmlns:wpi="http://schemas.microsoft.com/office/word/2010/wordprocessingInk" xmlns:wpg="http://schemas.microsoft.com/office/word/2010/wordprocessingGroup" ])
			FWRITE(m.lnF,[xmlns:w14="http://schemas.microsoft.com/office/word/2010/wordml" xmlns:w="http://schemas.openxmlformats.org/wordprocessingml/2006/main" ])
			FWRITE(m.lnF,[xmlns:w10="urn:schemas-microsoft-com:office:word" xmlns:wp="http://schemas.openxmlformats.org/drawingml/2006/wordprocessingDrawing" ])
			FWRITE(m.lnF,[xmlns:wp14="http://schemas.microsoft.com/office/word/2010/wordprocessingDrawing" xmlns:v="urn:schemas-microsoft-com:vml" ])
			FWRITE(m.lnF,[xmlns:m="http://schemas.openxmlformats.org/officeDocument/2006/math" xmlns:r="http://schemas.openxmlformats.org/officeDocument/2006/relationships" ])
			FWRITE(m.lnF,[xmlns:o="urn:schemas-microsoft-com:office:office" xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" ])
			FWRITE(m.lnF,[xmlns:wpc="http://schemas.microsoft.com/office/word/2010/wordprocessingCanvas">])
		FWRITE(m.lnF,[<w:docDefaults>])
			FWRITE(m.lnF,[<w:rPrDefault>])
				FWRITE(m.lnF,[<w:rPr>])
					FWRITE(m.lnF,[<w:rFonts w:cstheme="minorBidi" w:hAnsiTheme="minorHAnsi" w:eastAsiaTheme="minorHAnsi" w:asciiTheme="minorHAnsi"/>])
					FWRITE(m.lnF,[<w:sz w:val="22"/>])
					FWRITE(m.lnF,[<w:szCs w:val="22"/>])
					FWRITE(m.lnF,[<w:lang w:val="] + theLanguage +[" w:bidi="ar-SA" w:eastAsia="en-US"/>])
				FWRITE(m.lnF,[</w:rPr>])
			FWRITE(m.lnF,[</w:rPrDefault>])
			FWRITE(m.lnF,[<w:pPrDefault>])
				FWRITE(m.lnF,[<w:pPr>])
					FWRITE(m.lnF,[<w:spacing w:lineRule="auto" w:line="276" w:after="200"/>])
				FWRITE(m.lnF,[</w:pPr>])
			FWRITE(m.lnF,[</w:pPrDefault>])
		FWRITE(m.lnF,[</w:docDefaults>])
		FWRITE(m.lnF,[<w:latentStyles w:count="267" w:defQFormat="0" w:defUnhideWhenUsed="1" w:defSemiHidden="1" w:defUIPriority="99" w:defLockedState="0">])
			FWRITE(m.lnF,[<w:lsdException w:qFormat="1" w:unhideWhenUsed="0" w:uiPriority="0" w:semiHidden="0" w:name="Normal"/>])
			FWRITE(m.lnF,[<w:lsdException w:qFormat="1" w:unhideWhenUsed="0" w:uiPriority="9" w:semiHidden="0" w:name="heading 1"/>])
			FWRITE(m.lnF,[<w:lsdException w:qFormat="1" w:uiPriority="9" w:name="heading 2"/>])
			FWRITE(m.lnF,[<w:lsdException w:qFormat="1" w:uiPriority="9" w:name="heading 3"/>])
			FWRITE(m.lnF,[<w:lsdException w:qFormat="1" w:uiPriority="9" w:name="heading 4"/>])
			FWRITE(m.lnF,[<w:lsdException w:qFormat="1" w:uiPriority="9" w:name="heading 5"/>])
			FWRITE(m.lnF,[<w:lsdException w:qFormat="1" w:uiPriority="9" w:name="heading 6"/>])
			FWRITE(m.lnF,[<w:lsdException w:qFormat="1" w:uiPriority="9" w:name="heading 7"/>])
			FWRITE(m.lnF,[<w:lsdException w:qFormat="1" w:uiPriority="9" w:name="heading 8"/>])
			FWRITE(m.lnF,[<w:lsdException w:qFormat="1" w:uiPriority="9" w:name="heading 9"/>])
			FWRITE(m.lnF,[<w:lsdException w:uiPriority="39" w:name="toc 1"/>])
			FWRITE(m.lnF,[<w:lsdException w:uiPriority="39" w:name="toc 2"/>])
			FWRITE(m.lnF,[<w:lsdException w:uiPriority="39" w:name="toc 3"/>])
			FWRITE(m.lnF,[<w:lsdException w:uiPriority="39" w:name="toc 4"/>])
			FWRITE(m.lnF,[<w:lsdException w:uiPriority="39" w:name="toc 5"/>])
			FWRITE(m.lnF,[<w:lsdException w:uiPriority="39" w:name="toc 6"/>])
			FWRITE(m.lnF,[<w:lsdException w:uiPriority="39" w:name="toc 7"/>])
			FWRITE(m.lnF,[<w:lsdException w:uiPriority="39" w:name="toc 8"/>])
			FWRITE(m.lnF,[<w:lsdException w:uiPriority="39" w:name="toc 9"/>])
			FWRITE(m.lnF,[<w:lsdException w:qFormat="1" w:uiPriority="35" w:name="caption"/>])
			FWRITE(m.lnF,[<w:lsdException w:qFormat="1" w:unhideWhenUsed="0" w:uiPriority="10" w:semiHidden="0" w:name="Title"/>])
			FWRITE(m.lnF,[<w:lsdException w:uiPriority="1" w:name="Default Paragraph Font"/>])
			FWRITE(m.lnF,[<w:lsdException w:qFormat="1" w:unhideWhenUsed="0" w:uiPriority="11" w:semiHidden="0" w:name="Subtitle"/>])
			FWRITE(m.lnF,[<w:lsdException w:qFormat="1" w:unhideWhenUsed="0" w:uiPriority="22" w:semiHidden="0" w:name="Strong"/>])
			FWRITE(m.lnF,[<w:lsdException w:qFormat="1" w:unhideWhenUsed="0" w:uiPriority="20" w:semiHidden="0" w:name="Emphasis"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="59" w:semiHidden="0" w:name="Table Grid"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:name="Placeholder Text"/>])
			FWRITE(m.lnF,[<w:lsdException w:qFormat="1" w:unhideWhenUsed="0" w:uiPriority="1" w:semiHidden="0" w:name="No Spacing"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="60" w:semiHidden="0" w:name="Light Shading"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="61" w:semiHidden="0" w:name="Light List"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="62" w:semiHidden="0" w:name="Light Grid"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="63" w:semiHidden="0" w:name="Medium Shading 1"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="64" w:semiHidden="0" w:name="Medium Shading 2"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="65" w:semiHidden="0" w:name="Medium List 1"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="66" w:semiHidden="0" w:name="Medium List 2"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="67" w:semiHidden="0" w:name="Medium Grid 1"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="68" w:semiHidden="0" w:name="Medium Grid 2"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="69" w:semiHidden="0" w:name="Medium Grid 3"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="70" w:semiHidden="0" w:name="Dark List"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="71" w:semiHidden="0" w:name="Colorful Shading"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="72" w:semiHidden="0" w:name="Colorful List"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="73" w:semiHidden="0" w:name="Colorful Grid"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="60" w:semiHidden="0" w:name="Light Shading Accent 1"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="61" w:semiHidden="0" w:name="Light List Accent 1"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="62" w:semiHidden="0" w:name="Light Grid Accent 1"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="63" w:semiHidden="0" w:name="Medium Shading 1 Accent 1"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="64" w:semiHidden="0" w:name="Medium Shading 2 Accent 1"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="65" w:semiHidden="0" w:name="Medium List 1 Accent 1"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:name="Revision"/>])
			FWRITE(m.lnF,[<w:lsdException w:qFormat="1" w:unhideWhenUsed="0" w:uiPriority="34" w:semiHidden="0" w:name="List Paragraph"/>])
			FWRITE(m.lnF,[<w:lsdException w:qFormat="1" w:unhideWhenUsed="0" w:uiPriority="29" w:semiHidden="0" w:name="Quote"/>])
			FWRITE(m.lnF,[<w:lsdException w:qFormat="1" w:unhideWhenUsed="0" w:uiPriority="30" w:semiHidden="0" w:name="Intense Quote"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="66" w:semiHidden="0" w:name="Medium List 2 Accent 1"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="67" w:semiHidden="0" w:name="Medium Grid 1 Accent 1"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="68" w:semiHidden="0" w:name="Medium Grid 2 Accent 1"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="69" w:semiHidden="0" w:name="Medium Grid 3 Accent 1"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="70" w:semiHidden="0" w:name="Dark List Accent 1"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="71" w:semiHidden="0" w:name="Colorful Shading Accent 1"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="72" w:semiHidden="0" w:name="Colorful List Accent 1"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="73" w:semiHidden="0" w:name="Colorful Grid Accent 1"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="60" w:semiHidden="0" w:name="Light Shading Accent 2"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="61" w:semiHidden="0" w:name="Light List Accent 2"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="62" w:semiHidden="0" w:name="Light Grid Accent 2"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="63" w:semiHidden="0" w:name="Medium Shading 1 Accent 2"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="64" w:semiHidden="0" w:name="Medium Shading 2 Accent 2"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="65" w:semiHidden="0" w:name="Medium List 1 Accent 2"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="66" w:semiHidden="0" w:name="Medium List 2 Accent 2"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="67" w:semiHidden="0" w:name="Medium Grid 1 Accent 2"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="68" w:semiHidden="0" w:name="Medium Grid 2 Accent 2"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="69" w:semiHidden="0" w:name="Medium Grid 3 Accent 2"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="70" w:semiHidden="0" w:name="Dark List Accent 2"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="71" w:semiHidden="0" w:name="Colorful Shading Accent 2"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="72" w:semiHidden="0" w:name="Colorful List Accent 2"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="73" w:semiHidden="0" w:name="Colorful Grid Accent 2"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="60" w:semiHidden="0" w:name="Light Shading Accent 3"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="61" w:semiHidden="0" w:name="Light List Accent 3"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="62" w:semiHidden="0" w:name="Light Grid Accent 3"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="63" w:semiHidden="0" w:name="Medium Shading 1 Accent 3"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="64" w:semiHidden="0" w:name="Medium Shading 2 Accent 3"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="65" w:semiHidden="0" w:name="Medium List 1 Accent 3"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="66" w:semiHidden="0" w:name="Medium List 2 Accent 3"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="67" w:semiHidden="0" w:name="Medium Grid 1 Accent 3"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="68" w:semiHidden="0" w:name="Medium Grid 2 Accent 3"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="69" w:semiHidden="0" w:name="Medium Grid 3 Accent 3"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="70" w:semiHidden="0" w:name="Dark List Accent 3"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="71" w:semiHidden="0" w:name="Colorful Shading Accent 3"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="72" w:semiHidden="0" w:name="Colorful List Accent 3"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="73" w:semiHidden="0" w:name="Colorful Grid Accent 3"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="60" w:semiHidden="0" w:name="Light Shading Accent 4"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="61" w:semiHidden="0" w:name="Light List Accent 4"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="62" w:semiHidden="0" w:name="Light Grid Accent 4"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="63" w:semiHidden="0" w:name="Medium Shading 1 Accent 4"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="64" w:semiHidden="0" w:name="Medium Shading 2 Accent 4"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="65" w:semiHidden="0" w:name="Medium List 1 Accent 4"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="66" w:semiHidden="0" w:name="Medium List 2 Accent 4"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="67" w:semiHidden="0" w:name="Medium Grid 1 Accent 4"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="68" w:semiHidden="0" w:name="Medium Grid 2 Accent 4"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="69" w:semiHidden="0" w:name="Medium Grid 3 Accent 4"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="70" w:semiHidden="0" w:name="Dark List Accent 4"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="71" w:semiHidden="0" w:name="Colorful Shading Accent 4"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="72" w:semiHidden="0" w:name="Colorful List Accent 4"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="73" w:semiHidden="0" w:name="Colorful Grid Accent 4"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="60" w:semiHidden="0" w:name="Light Shading Accent 5"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="61" w:semiHidden="0" w:name="Light List Accent 5"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="62" w:semiHidden="0" w:name="Light Grid Accent 5"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="63" w:semiHidden="0" w:name="Medium Shading 1 Accent 5"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="64" w:semiHidden="0" w:name="Medium Shading 2 Accent 5"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="65" w:semiHidden="0" w:name="Medium List 1 Accent 5"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="66" w:semiHidden="0" w:name="Medium List 2 Accent 5"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="67" w:semiHidden="0" w:name="Medium Grid 1 Accent 5"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="68" w:semiHidden="0" w:name="Medium Grid 2 Accent 5"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="69" w:semiHidden="0" w:name="Medium Grid 3 Accent 5"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="70" w:semiHidden="0" w:name="Dark List Accent 5"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="71" w:semiHidden="0" w:name="Colorful Shading Accent 5"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="72" w:semiHidden="0" w:name="Colorful List Accent 5"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="73" w:semiHidden="0" w:name="Colorful Grid Accent 5"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="60" w:semiHidden="0" w:name="Light Shading Accent 6"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="61" w:semiHidden="0" w:name="Light List Accent 6"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="62" w:semiHidden="0" w:name="Light Grid Accent 6"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="63" w:semiHidden="0" w:name="Medium Shading 1 Accent 6"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="64" w:semiHidden="0" w:name="Medium Shading 2 Accent 6"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="65" w:semiHidden="0" w:name="Medium List 1 Accent 6"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="66" w:semiHidden="0" w:name="Medium List 2 Accent 6"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="67" w:semiHidden="0" w:name="Medium Grid 1 Accent 6"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="68" w:semiHidden="0" w:name="Medium Grid 2 Accent 6"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="69" w:semiHidden="0" w:name="Medium Grid 3 Accent 6"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="70" w:semiHidden="0" w:name="Dark List Accent 6"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="71" w:semiHidden="0" w:name="Colorful Shading Accent 6"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="72" w:semiHidden="0" w:name="Colorful List Accent 6"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="73" w:semiHidden="0" w:name="Colorful Grid Accent 6"/>])
			FWRITE(m.lnF,[<w:lsdException w:qFormat="1" w:unhideWhenUsed="0" w:uiPriority="19" w:semiHidden="0" w:name="Subtle Emphasis"/>])
			FWRITE(m.lnF,[<w:lsdException w:qFormat="1" w:unhideWhenUsed="0" w:uiPriority="21" w:semiHidden="0" w:name="Intense Emphasis"/>])
			FWRITE(m.lnF,[<w:lsdException w:qFormat="1" w:unhideWhenUsed="0" w:uiPriority="31" w:semiHidden="0" w:name="Subtle Reference"/>])
			FWRITE(m.lnF,[<w:lsdException w:qFormat="1" w:unhideWhenUsed="0" w:uiPriority="32" w:semiHidden="0" w:name="Intense Reference"/>])
			FWRITE(m.lnF,[<w:lsdException w:qFormat="1" w:unhideWhenUsed="0" w:uiPriority="33" w:semiHidden="0" w:name="Book Title"/>])
			FWRITE(m.lnF,[<w:lsdException w:uiPriority="37" w:name="Bibliography"/>])
			FWRITE(m.lnF,[<w:lsdException w:qFormat="1" w:uiPriority="39" w:name="TOC Heading"/>])
		FWRITE(m.lnF,[</w:latentStyles>])
		FWRITE(m.lnF,[<w:style w:styleId="Normal" w:default="1" w:type="paragraph">])
			FWRITE(m.lnF,[<w:name w:val="Normal"/>])
			FWRITE(m.lnF,[<w:qFormat/>])
		FWRITE(m.lnF,[</w:style>])
		FWRITE(m.lnF,[<w:style w:styleId="DefaultParagraphFont" w:default="1" w:type="character">])
			FWRITE(m.lnF,[<w:name w:val="Default Paragraph Font"/>])
			FWRITE(m.lnF,[<w:uiPriority w:val="1"/>])
			FWRITE(m.lnF,[<w:semiHidden/>])
			FWRITE(m.lnF,[<w:unhideWhenUsed/>])
		FWRITE(m.lnF,[</w:style>])
		FWRITE(m.lnF,[<w:style w:styleId="TableNormal" w:default="1" w:type="table">])
			FWRITE(m.lnF,[<w:name w:val="Normal Table"/>])
			FWRITE(m.lnF,[<w:uiPriority w:val="99"/>])
			FWRITE(m.lnF,[<w:semiHidden/>])
			FWRITE(m.lnF,[<w:unhideWhenUsed/>])
			FWRITE(m.lnF,[<w:tblPr>])
				FWRITE(m.lnF,[<w:tblInd w:w="0" w:type="dxa"/>])
				FWRITE(m.lnF,[<w:tblCellMar>])
					FWRITE(m.lnF,[<w:top w:w="0" w:type="dxa"/>])
					FWRITE(m.lnF,[<w:left w:w="108" w:type="dxa"/>])
					FWRITE(m.lnF,[<w:bottom w:w="0" w:type="dxa"/>])
					FWRITE(m.lnF,[<w:right w:w="108" w:type="dxa"/>])
				FWRITE(m.lnF,[</w:tblCellMar>])
			FWRITE(m.lnF,[</w:tblPr>])
		FWRITE(m.lnF,[</w:style>])
		FWRITE(m.lnF,[<w:style w:styleId="NoList" w:default="1" w:type="numbering">])
			FWRITE(m.lnF,[<w:name w:val="No List"/>])
			FWRITE(m.lnF,[<w:uiPriority w:val="99"/>])
			FWRITE(m.lnF,[<w:semiHidden/>])
			FWRITE(m.lnF,[<w:unhideWhenUsed/>])
		FWRITE(m.lnF,[</w:style>])
		FWRITE(m.lnF,[<w:style w:styleId="TableGrid" w:type="table">])
			FWRITE(m.lnF,[<w:name w:val="Table Grid"/>])
			FWRITE(m.lnF,[<w:basedOn w:val="TableNormal"/>])
			FWRITE(m.lnF,[<w:uiPriority w:val="59"/>])
			FWRITE(m.lnF,[<w:rsid w:val="00D9707B"/>])
			FWRITE(m.lnF,[<w:pPr>])
				FWRITE(m.lnF,[<w:spacing w:lineRule="auto" w:line="240" w:after="0"/>])
			FWRITE(m.lnF,[</w:pPr>])
			FWRITE(m.lnF,[<w:tblPr>])
			FWRITE(m.lnF,[<w:tblBorders>])
				FWRITE(m.lnF,[<w:top w:val="single" w:color="auto" w:space="0" w:sz="4"/>])
				FWRITE(m.lnF,[<w:left w:val="single" w:color="auto" w:space="0" w:sz="4"/>])
				FWRITE(m.lnF,[<w:bottom w:val="single" w:color="auto" w:space="0" w:sz="4"/>])
				FWRITE(m.lnF,[<w:right w:val="single" w:color="auto" w:space="0" w:sz="4"/>])
				FWRITE(m.lnF,[<w:insideH w:val="single" w:color="auto" w:space="0" w:sz="4"/>])
				FWRITE(m.lnF,[<w:insideV w:val="single" w:color="auto" w:space="0" w:sz="4"/>])
			FWRITE(m.lnF,[</w:tblBorders>])
			FWRITE(m.lnF,[</w:tblPr>])
		FWRITE(m.lnF,[</w:style>])
	FWRITE(m.lnF,[</w:styles>])
	FCLOSE(m.lnF)
ENDPROC

*********************************
* Generate word\styles.xml *
*********************************
PROCEDURE gen_styles
	LPARAMETERS lcDir
	LOCAL lnF
	lnF = FCREATE(m.lcDir+"styles.xml")
	IF m.lnF < 0
		MESSAGEBOX('Cannot create styles.xml',16,'Abort')
		RETURN TO MASTER
	ENDIF
	FWRITE(m.lnF,[<?xml version="1.0" encoding="UTF-8" standalone="yes"?>]+CHR(10))
	FWRITE(m.lnF,[<w:styles mc:Ignorable="w14" xmlns:w14="http://schemas.microsoft.com/office/word/2010/wordml" xmlns:w="http://schemas.openxmlformats.org/wordprocessingml/2006/main" ])
			FWRITE(m.lnF,[xmlns:r="http://schemas.openxmlformats.org/officeDocument/2006/relationships" xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006">])
		FWRITE(m.lnF,[<w:docDefaults>])
			FWRITE(m.lnF,[<w:rPrDefault>])
				FWRITE(m.lnF,[<w:rPr>])
					FWRITE(m.lnF,[<w:rFonts w:cstheme="minorBidi" w:hAnsiTheme="minorHAnsi" w:eastAsiaTheme="minorHAnsi" w:asciiTheme="minorHAnsi"/>])
					FWRITE(m.lnF,[<w:sz w:val="22"/>])
					FWRITE(m.lnF,[<w:szCs w:val="22"/>])
					FWRITE(m.lnF,[<w:lang w:val="] + theLanguage +[" w:bidi="ar-SA" w:eastAsia="en-US"/>])
				FWRITE(m.lnF,[</w:rPr>])
			FWRITE(m.lnF,[</w:rPrDefault>])
			FWRITE(m.lnF,[<w:pPrDefault>])
				FWRITE(m.lnF,[<w:pPr>])
					FWRITE(m.lnF,[<w:spacing w:lineRule="auto" w:line="276" w:after="200"/>])
				FWRITE(m.lnF,[</w:pPr>])
			FWRITE(m.lnF,[</w:pPrDefault>])
		FWRITE(m.lnF,[</w:docDefaults>])
		FWRITE(m.lnF,[<w:latentStyles w:count="267" w:defQFormat="0" w:defUnhideWhenUsed="1" w:defSemiHidden="1" w:defUIPriority="99" w:defLockedState="0">])
			FWRITE(m.lnF,[<w:lsdException w:qFormat="1" w:unhideWhenUsed="0" w:uiPriority="0" w:semiHidden="0" w:name="Normal"/>])
			FWRITE(m.lnF,[<w:lsdException w:qFormat="1" w:unhideWhenUsed="0" w:uiPriority="9" w:semiHidden="0" w:name="heading 1"/>])
			FWRITE(m.lnF,[<w:lsdException w:qFormat="1" w:uiPriority="9" w:name="heading 2"/>])
			FWRITE(m.lnF,[<w:lsdException w:qFormat="1" w:uiPriority="9" w:name="heading 3"/>])
			FWRITE(m.lnF,[<w:lsdException w:qFormat="1" w:uiPriority="9" w:name="heading 4"/>])
			FWRITE(m.lnF,[<w:lsdException w:qFormat="1" w:uiPriority="9" w:name="heading 5"/>])
			FWRITE(m.lnF,[<w:lsdException w:qFormat="1" w:uiPriority="9" w:name="heading 6"/>])
			FWRITE(m.lnF,[<w:lsdException w:qFormat="1" w:uiPriority="9" w:name="heading 7"/>])
			FWRITE(m.lnF,[<w:lsdException w:qFormat="1" w:uiPriority="9" w:name="heading 8"/>])
			FWRITE(m.lnF,[<w:lsdException w:qFormat="1" w:uiPriority="9" w:name="heading 9"/>])
			FWRITE(m.lnF,[<w:lsdException w:uiPriority="39" w:name="toc 1"/>])
			FWRITE(m.lnF,[<w:lsdException w:uiPriority="39" w:name="toc 2"/>])
			FWRITE(m.lnF,[<w:lsdException w:uiPriority="39" w:name="toc 3"/>])
			FWRITE(m.lnF,[<w:lsdException w:uiPriority="39" w:name="toc 4"/>])
			FWRITE(m.lnF,[<w:lsdException w:uiPriority="39" w:name="toc 5"/>])
			FWRITE(m.lnF,[<w:lsdException w:uiPriority="39" w:name="toc 6"/>])
			FWRITE(m.lnF,[<w:lsdException w:uiPriority="39" w:name="toc 7"/>])
			FWRITE(m.lnF,[<w:lsdException w:uiPriority="39" w:name="toc 8"/>])
			FWRITE(m.lnF,[<w:lsdException w:uiPriority="39" w:name="toc 9"/>])
			FWRITE(m.lnF,[<w:lsdException w:qFormat="1" w:uiPriority="35" w:name="caption"/>])
			FWRITE(m.lnF,[<w:lsdException w:qFormat="1" w:unhideWhenUsed="0" w:uiPriority="10" w:semiHidden="0" w:name="Title"/>])
			FWRITE(m.lnF,[<w:lsdException w:uiPriority="1" w:name="Default Paragraph Font"/>])
			FWRITE(m.lnF,[<w:lsdException w:qFormat="1" w:unhideWhenUsed="0" w:uiPriority="11" w:semiHidden="0" w:name="Subtitle"/>])
			FWRITE(m.lnF,[<w:lsdException w:qFormat="1" w:unhideWhenUsed="0" w:uiPriority="22" w:semiHidden="0" w:name="Strong"/>])
			FWRITE(m.lnF,[<w:lsdException w:qFormat="1" w:unhideWhenUsed="0" w:uiPriority="20" w:semiHidden="0" w:name="Emphasis"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="59" w:semiHidden="0" w:name="Table Grid"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:name="Placeholder Text"/>])
			FWRITE(m.lnF,[<w:lsdException w:qFormat="1" w:unhideWhenUsed="0" w:uiPriority="1" w:semiHidden="0" w:name="No Spacing"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="60" w:semiHidden="0" w:name="Light Shading"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="61" w:semiHidden="0" w:name="Light List"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="62" w:semiHidden="0" w:name="Light Grid"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="63" w:semiHidden="0" w:name="Medium Shading 1"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="64" w:semiHidden="0" w:name="Medium Shading 2"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="65" w:semiHidden="0" w:name="Medium List 1"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="66" w:semiHidden="0" w:name="Medium List 2"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="67" w:semiHidden="0" w:name="Medium Grid 1"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="68" w:semiHidden="0" w:name="Medium Grid 2"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="69" w:semiHidden="0" w:name="Medium Grid 3"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="70" w:semiHidden="0" w:name="Dark List"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="71" w:semiHidden="0" w:name="Colorful Shading"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="72" w:semiHidden="0" w:name="Colorful List"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="73" w:semiHidden="0" w:name="Colorful Grid"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="60" w:semiHidden="0" w:name="Light Shading Accent 1"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="61" w:semiHidden="0" w:name="Light List Accent 1"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="62" w:semiHidden="0" w:name="Light Grid Accent 1"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="63" w:semiHidden="0" w:name="Medium Shading 1 Accent 1"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="64" w:semiHidden="0" w:name="Medium Shading 2 Accent 1"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="65" w:semiHidden="0" w:name="Medium List 1 Accent 1"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:name="Revision"/>])
			FWRITE(m.lnF,[<w:lsdException w:qFormat="1" w:unhideWhenUsed="0" w:uiPriority="34" w:semiHidden="0" w:name="List Paragraph"/>])
			FWRITE(m.lnF,[<w:lsdException w:qFormat="1" w:unhideWhenUsed="0" w:uiPriority="29" w:semiHidden="0" w:name="Quote"/>])
			FWRITE(m.lnF,[<w:lsdException w:qFormat="1" w:unhideWhenUsed="0" w:uiPriority="30" w:semiHidden="0" w:name="Intense Quote"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="66" w:semiHidden="0" w:name="Medium List 2 Accent 1"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="67" w:semiHidden="0" w:name="Medium Grid 1 Accent 1"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="68" w:semiHidden="0" w:name="Medium Grid 2 Accent 1"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="69" w:semiHidden="0" w:name="Medium Grid 3 Accent 1"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="70" w:semiHidden="0" w:name="Dark List Accent 1"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="71" w:semiHidden="0" w:name="Colorful Shading Accent 1"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="72" w:semiHidden="0" w:name="Colorful List Accent 1"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="73" w:semiHidden="0" w:name="Colorful Grid Accent 1"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="60" w:semiHidden="0" w:name="Light Shading Accent 2"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="61" w:semiHidden="0" w:name="Light List Accent 2"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="62" w:semiHidden="0" w:name="Light Grid Accent 2"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="63" w:semiHidden="0" w:name="Medium Shading 1 Accent 2"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="64" w:semiHidden="0" w:name="Medium Shading 2 Accent 2"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="65" w:semiHidden="0" w:name="Medium List 1 Accent 2"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="66" w:semiHidden="0" w:name="Medium List 2 Accent 2"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="67" w:semiHidden="0" w:name="Medium Grid 1 Accent 2"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="68" w:semiHidden="0" w:name="Medium Grid 2 Accent 2"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="69" w:semiHidden="0" w:name="Medium Grid 3 Accent 2"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="70" w:semiHidden="0" w:name="Dark List Accent 2"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="71" w:semiHidden="0" w:name="Colorful Shading Accent 2"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="72" w:semiHidden="0" w:name="Colorful List Accent 2"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="73" w:semiHidden="0" w:name="Colorful Grid Accent 2"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="60" w:semiHidden="0" w:name="Light Shading Accent 3"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="61" w:semiHidden="0" w:name="Light List Accent 3"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="62" w:semiHidden="0" w:name="Light Grid Accent 3"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="63" w:semiHidden="0" w:name="Medium Shading 1 Accent 3"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="64" w:semiHidden="0" w:name="Medium Shading 2 Accent 3"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="65" w:semiHidden="0" w:name="Medium List 1 Accent 3"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="66" w:semiHidden="0" w:name="Medium List 2 Accent 3"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="67" w:semiHidden="0" w:name="Medium Grid 1 Accent 3"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="68" w:semiHidden="0" w:name="Medium Grid 2 Accent 3"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="69" w:semiHidden="0" w:name="Medium Grid 3 Accent 3"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="70" w:semiHidden="0" w:name="Dark List Accent 3"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="71" w:semiHidden="0" w:name="Colorful Shading Accent 3"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="72" w:semiHidden="0" w:name="Colorful List Accent 3"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="73" w:semiHidden="0" w:name="Colorful Grid Accent 3"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="60" w:semiHidden="0" w:name="Light Shading Accent 4"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="61" w:semiHidden="0" w:name="Light List Accent 4"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="62" w:semiHidden="0" w:name="Light Grid Accent 4"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="63" w:semiHidden="0" w:name="Medium Shading 1 Accent 4"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="64" w:semiHidden="0" w:name="Medium Shading 2 Accent 4"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="65" w:semiHidden="0" w:name="Medium List 1 Accent 4"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="66" w:semiHidden="0" w:name="Medium List 2 Accent 4"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="67" w:semiHidden="0" w:name="Medium Grid 1 Accent 4"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="68" w:semiHidden="0" w:name="Medium Grid 2 Accent 4"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="69" w:semiHidden="0" w:name="Medium Grid 3 Accent 4"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="70" w:semiHidden="0" w:name="Dark List Accent 4"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="71" w:semiHidden="0" w:name="Colorful Shading Accent 4"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="72" w:semiHidden="0" w:name="Colorful List Accent 4"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="73" w:semiHidden="0" w:name="Colorful Grid Accent 4"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="60" w:semiHidden="0" w:name="Light Shading Accent 5"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="61" w:semiHidden="0" w:name="Light List Accent 5"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="62" w:semiHidden="0" w:name="Light Grid Accent 5"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="63" w:semiHidden="0" w:name="Medium Shading 1 Accent 5"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="64" w:semiHidden="0" w:name="Medium Shading 2 Accent 5"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="65" w:semiHidden="0" w:name="Medium List 1 Accent 5"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="66" w:semiHidden="0" w:name="Medium List 2 Accent 5"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="67" w:semiHidden="0" w:name="Medium Grid 1 Accent 5"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="68" w:semiHidden="0" w:name="Medium Grid 2 Accent 5"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="69" w:semiHidden="0" w:name="Medium Grid 3 Accent 5"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="70" w:semiHidden="0" w:name="Dark List Accent 5"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="71" w:semiHidden="0" w:name="Colorful Shading Accent 5"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="72" w:semiHidden="0" w:name="Colorful List Accent 5"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="73" w:semiHidden="0" w:name="Colorful Grid Accent 5"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="60" w:semiHidden="0" w:name="Light Shading Accent 6"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="61" w:semiHidden="0" w:name="Light List Accent 6"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="62" w:semiHidden="0" w:name="Light Grid Accent 6"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="63" w:semiHidden="0" w:name="Medium Shading 1 Accent 6"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="64" w:semiHidden="0" w:name="Medium Shading 2 Accent 6"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="65" w:semiHidden="0" w:name="Medium List 1 Accent 6"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="66" w:semiHidden="0" w:name="Medium List 2 Accent 6"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="67" w:semiHidden="0" w:name="Medium Grid 1 Accent 6"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="68" w:semiHidden="0" w:name="Medium Grid 2 Accent 6"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="69" w:semiHidden="0" w:name="Medium Grid 3 Accent 6"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="70" w:semiHidden="0" w:name="Dark List Accent 6"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="71" w:semiHidden="0" w:name="Colorful Shading Accent 6"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="72" w:semiHidden="0" w:name="Colorful List Accent 6"/>])
			FWRITE(m.lnF,[<w:lsdException w:unhideWhenUsed="0" w:uiPriority="73" w:semiHidden="0" w:name="Colorful Grid Accent 6"/>])
			FWRITE(m.lnF,[<w:lsdException w:qFormat="1" w:unhideWhenUsed="0" w:uiPriority="19" w:semiHidden="0" w:name="Subtle Emphasis"/>])
			FWRITE(m.lnF,[<w:lsdException w:qFormat="1" w:unhideWhenUsed="0" w:uiPriority="21" w:semiHidden="0" w:name="Intense Emphasis"/>])
			FWRITE(m.lnF,[<w:lsdException w:qFormat="1" w:unhideWhenUsed="0" w:uiPriority="31" w:semiHidden="0" w:name="Subtle Reference"/>])
			FWRITE(m.lnF,[<w:lsdException w:qFormat="1" w:unhideWhenUsed="0" w:uiPriority="32" w:semiHidden="0" w:name="Intense Reference"/>])
			FWRITE(m.lnF,[<w:lsdException w:qFormat="1" w:unhideWhenUsed="0" w:uiPriority="33" w:semiHidden="0" w:name="Book Title"/>])
			FWRITE(m.lnF,[<w:lsdException w:uiPriority="37" w:name="Bibliography"/>])
			FWRITE(m.lnF,[<w:lsdException w:qFormat="1" w:uiPriority="39" w:name="TOC Heading"/>])
		FWRITE(m.lnF,[</w:latentStyles>])
		FWRITE(m.lnF,[<w:style w:styleId="Normal" w:default="1" w:type="paragraph">])
			FWRITE(m.lnF,[<w:name w:val="Normal"/>])
			FWRITE(m.lnF,[<w:qFormat/>])
		FWRITE(m.lnF,[</w:style>])
		FWRITE(m.lnF,[<w:style w:styleId="DefaultParagraphFont" w:default="1" w:type="character">])
			FWRITE(m.lnF,[<w:name w:val="Default Paragraph Font"/>])
			FWRITE(m.lnF,[<w:uiPriority w:val="1"/>])
			FWRITE(m.lnF,[<w:semiHidden/>])
			FWRITE(m.lnF,[<w:unhideWhenUsed/>])
		FWRITE(m.lnF,[</w:style>])
		FWRITE(m.lnF,[<w:style w:styleId="TableNormal" w:default="1" w:type="table">])
			FWRITE(m.lnF,[<w:name w:val="Normal Table"/>])
			FWRITE(m.lnF,[<w:uiPriority w:val="99"/>])
			FWRITE(m.lnF,[<w:semiHidden/>])
			FWRITE(m.lnF,[<w:unhideWhenUsed/>])
			FWRITE(m.lnF,[<w:tblPr>])
				FWRITE(m.lnF,[<w:tblInd w:w="0" w:type="dxa"/>])
				FWRITE(m.lnF,[<w:tblCellMar>])
					FWRITE(m.lnF,[<w:top w:w="0" w:type="dxa"/>])
					FWRITE(m.lnF,[<w:left w:w="108" w:type="dxa"/>])
					FWRITE(m.lnF,[<w:bottom w:w="0" w:type="dxa"/>])
					FWRITE(m.lnF,[<w:right w:w="108" w:type="dxa"/>])
				FWRITE(m.lnF,[</w:tblCellMar>])
			FWRITE(m.lnF,[</w:tblPr>])
		FWRITE(m.lnF,[</w:style>])
		FWRITE(m.lnF,[<w:style w:styleId="NoList" w:default="1" w:type="numbering">])
			FWRITE(m.lnF,[<w:name w:val="No List"/>])
			FWRITE(m.lnF,[<w:uiPriority w:val="99"/>])
			FWRITE(m.lnF,[<w:semiHidden/>])
			FWRITE(m.lnF,[<w:unhideWhenUsed/>])
		FWRITE(m.lnF,[</w:style>])
		FWRITE(m.lnF,[<w:style w:styleId="TableGrid" w:type="table">])
			FWRITE(m.lnF,[<w:name w:val="Table Grid"/>])
			FWRITE(m.lnF,[<w:basedOn w:val="TableNormal"/>])
			FWRITE(m.lnF,[<w:uiPriority w:val="59"/>])
			FWRITE(m.lnF,[<w:rsid w:val="00D9707B"/>])
			FWRITE(m.lnF,[<w:pPr>])
				FWRITE(m.lnF,[<w:spacing w:lineRule="auto" w:line="240" w:after="0"/>])
			FWRITE(m.lnF,[</w:pPr>])
			FWRITE(m.lnF,[<w:tblPr>])
				FWRITE(m.lnF,[<w:tblBorders>])
					FWRITE(m.lnF,[<w:top w:val="single" w:color="auto" w:space="0" w:sz="4"/>])
					FWRITE(m.lnF,[<w:left w:val="single" w:color="auto" w:space="0" w:sz="4"/>])
					FWRITE(m.lnF,[<w:bottom w:val="single" w:color="auto" w:space="0" w:sz="4"/>])
					FWRITE(m.lnF,[<w:right w:val="single" w:color="auto" w:space="0" w:sz="4"/>])
					FWRITE(m.lnF,[<w:insideH w:val="single" w:color="auto" w:space="0" w:sz="4"/>])
					FWRITE(m.lnF,[<w:insideV w:val="single" w:color="auto" w:space="0" w:sz="4"/>])
				FWRITE(m.lnF,[</w:tblBorders>])
			FWRITE(m.lnF,[</w:tblPr>])
		FWRITE(m.lnF,[</w:style>])
	FWRITE(m.lnF,[</w:styles>])
	FCLOSE(m.lnF)
ENDPROC

*********************************
* Generate word\Settings.xml *
*********************************
PROCEDURE gen_settings
	LPARAMETERS lcDir
	LOCAL lnF
	lnF = FCREATE(m.lcDir+"Settings.xml")
	IF m.lnF < 0
		MESSAGEBOX('Cannot create Settings.xml',16,'Abort')
		RETURN TO MASTER
	ENDIF
	FWRITE(m.lnF,[<?xml version="1.0" encoding="UTF-8" standalone="yes"?>]+CHR(10))
	FWRITE(m.lnF,[<w:settings mc:Ignorable="w14" xmlns:sl="http://schemas.openxmlformats.org/schemaLibrary/2006/main" xmlns:w14="http://schemas.microsoft.com/office/word/2010/wordml" ])
			FWRITE(m.lnF,[xmlns:w="http://schemas.openxmlformats.org/wordprocessingml/2006/main" xmlns:w10="urn:schemas-microsoft-com:office:word" xmlns:v="urn:schemas-microsoft-com:vml" ])
			FWRITE(m.lnF,[xmlns:m="http://schemas.openxmlformats.org/officeDocument/2006/math" xmlns:r="http://schemas.openxmlformats.org/officeDocument/2006/relationships" ])
			FWRITE(m.lnF,[xmlns:o="urn:schemas-microsoft-com:office:office" xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006">])
	FWRITE(m.lnF,[<w:zoom w:percent="100"/>])
	FWRITE(m.lnF,[<w:proofState w:grammar="clean"/>])
	FWRITE(m.lnF,[<w:defaultTabStop w:val="708"/>])
	FWRITE(m.lnF,[<w:hyphenationZone w:val="425"/>])
	FWRITE(m.lnF,[<w:characterSpacingControl w:val="doNotCompress"/>])
	FWRITE(m.lnF,[<w:compat>])
	FWRITE(m.lnF,[<w:compatSetting w:val="14" w:uri="http://schemas.microsoft.com/office/word" w:name="compatibilityMode"/>])
	FWRITE(m.lnF,[<w:compatSetting w:val="1" w:uri="http://schemas.microsoft.com/office/word" w:name="overrideTableStyleFontSizeAndJustification"/>])
	FWRITE(m.lnF,[<w:compatSetting w:val="1" w:uri="http://schemas.microsoft.com/office/word" w:name="enableOpenTypeFeatures"/>])
	FWRITE(m.lnF,[<w:compatSetting w:val="1" w:uri="http://schemas.microsoft.com/office/word" w:name="doNotFlipMirrorIndents"/>])
	FWRITE(m.lnF,[</w:compat>])
	FWRITE(m.lnF,[<w:rsids>])
	FWRITE(m.lnF,[<w:rsidRoot w:val="00D9707B"/>])
	FWRITE(m.lnF,[<w:rsid w:val="00D9707B"/>])
	FWRITE(m.lnF,[<w:rsid w:val="00EA66E0"/>])
	FWRITE(m.lnF,[</w:rsids>])
	FWRITE(m.lnF,[<m:mathPr>])
	FWRITE(m.lnF,[<m:mathFont m:val="Cambria Math"/>])
	FWRITE(m.lnF,[<m:brkBin m:val="before"/>])
	FWRITE(m.lnF,[<m:brkBinSub m:val="--"/>])
	FWRITE(m.lnF,[<m:smallFrac m:val="0"/>])
	FWRITE(m.lnF,[<m:dispDef/>])
	FWRITE(m.lnF,[<m:lMargin m:val="0"/>])
	FWRITE(m.lnF,[<m:rMargin m:val="0"/>])
	FWRITE(m.lnF,[<m:defJc m:val="centerGroup"/>])
	FWRITE(m.lnF,[<m:wrapIndent m:val="1440"/>])
	FWRITE(m.lnF,[<m:intLim m:val="subSup"/>])
	FWRITE(m.lnF,[<m:naryLim m:val="undOvr"/>])
	FWRITE(m.lnF,[</m:mathPr>])
	FWRITE(m.lnF,[<w:themeFontLang w:val="] + theLanguage +["/>])
	FWRITE(m.lnF,[<w:clrSchemeMapping w:followedHyperlink="followedHyperlink" w:hyperlink="hyperlink" w:accent6="accent6" w:accent5="accent5" w:accent4="accent4" w:accent3="accent3" ])
		FWRITE(m.lnF,[w:accent2="accent2" w:accent1="accent1" w:t2="dark2" w:bg2="light2" w:t1="dark1" w:bg1="light1"/>])
	FWRITE(m.lnF,[<w:shapeDefaults>])
	FWRITE(m.lnF,[<o:shapedefaults spidmax="1026" v:ext="edit"/>])
	FWRITE(m.lnF,[<o:shapelayout v:ext="edit">])
	FWRITE(m.lnF,[<o:idmap v:ext="edit" data="1"/>])
	FWRITE(m.lnF,[</o:shapelayout>])
	FWRITE(m.lnF,[</w:shapeDefaults>])
	FWRITE(m.lnF,[<w:decimalSymbol w:val=","/>])
	FWRITE(m.lnF,[<w:listSeparator w:val=";"/>])
	FWRITE(m.lnF,[</w:settings>])
	FCLOSE(m.lnF)
ENDPROC


*********************************
* Generate word\fontTable.xml *
*********************************
PROCEDURE gen_fontTable
	LPARAMETERS lcDir
	LOCAL lnF
	lnF = FCREATE(m.lcDir+"fontTable.xml")
	IF m.lnF < 0
		MESSAGEBOX('Cannot create fontTable.xml',16,'Abort')
		RETURN TO MASTER
	ENDIF
	FWRITE(m.lnF,[<?xml version="1.0" encoding="UTF-8" standalone="yes"?>]+CHR(10))
	FWRITE(m.lnF,[<w:fonts mc:Ignorable="w14" xmlns:w14="http://schemas.microsoft.com/office/word/2010/wordml" xmlns:w="http://schemas.openxmlformats.org/wordprocessingml/2006/main" ])
			FWRITE(m.lnF,[xmlns:r="http://schemas.openxmlformats.org/officeDocument/2006/relationships" xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006">])
		FWRITE(m.lnF,[<w:font w:name="Calibri">])
			FWRITE(m.lnF,[<w:panose1 w:val="020F0502020204030204"/>])
			FWRITE(m.lnF,[<w:charset w:val="EE"/>])
			FWRITE(m.lnF,[<w:family w:val="swiss"/>])
			FWRITE(m.lnF,[<w:pitch w:val="variable"/>])
			FWRITE(m.lnF,[<w:sig w:csb1="00000000" w:csb0="0000019F" w:usb3="00000000" w:usb2="00000001" w:usb1="4000ACFF" w:usb0="E00002FF"/>])
		FWRITE(m.lnF,[</w:font>])
		FWRITE(m.lnF,[<w:font w:name="Times New Roman">])
			FWRITE(m.lnF,[<w:panose1 w:val="02020603050405020304"/>])
			FWRITE(m.lnF,[<w:charset w:val="EE"/>])
			FWRITE(m.lnF,[<w:family w:val="roman"/>])
			FWRITE(m.lnF,[<w:pitch w:val="variable"/>])
			FWRITE(m.lnF,[<w:sig w:csb1="00000000" w:csb0="000001FF" w:usb3="00000000" w:usb2="00000009" w:usb1="C0007841" w:usb0="E0002AFF"/>])
		FWRITE(m.lnF,[</w:font>])
		FWRITE(m.lnF,[<w:font w:name="Cambria">])
			FWRITE(m.lnF,[<w:panose1 w:val="02040503050406030204"/>])
			FWRITE(m.lnF,[<w:charset w:val="EE"/>])
			FWRITE(m.lnF,[<w:family w:val="roman"/>])
			FWRITE(m.lnF,[<w:pitch w:val="variable"/>])
			FWRITE(m.lnF,[<w:sig w:csb1="00000000" w:csb0="0000019F" w:usb3="00000000" w:usb2="00000000" w:usb1="400004FF" w:usb0="E00002FF"/>])
		FWRITE(m.lnF,[</w:font>])
	FWRITE(m.lnF,[</w:fonts>])
	FCLOSE(m.lnF)
ENDPROC
